View Issue Details

IDProjectCategoryView StatusLast Update
0001391Ham Radio DeluxeBugpublic2017-08-05 18:58
ReporterSupport 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformWindowsOSXP ProOS Version
Product Version 
Target VersionFixed in Version6.4.0.659 
Summary0001391: Sorting Log book via Columns
DescriptionWhen sorting LOTW by date received all the entries would display only entries
that had dates in the field
Now at random entries without anything in the date receive field are mixed in
with the entries that have dates When you do the sort of the data in that
column
Steps To ReproduceClick on the "Date Received LoTW "
Additional InformationReported by n9apk
TagsNo tags attached.
ModuleLogbook
Sub-ModuleAppearance/UI
Testing Beta Successful

Relationships

related to 0000569 closedK7ZCZ Unable to sort on custom columns 

Activities

WA9PIE

2014-01-31 08:10

administrator   ~0000240

This may be a duplicate issue.

KB3NPH

2014-08-14 10:56

administrator   ~0000457

Ticket #283087 I believe this could also come along with this heading:
This was an earlier post by this customer:

04/18/2014 9:15 am Bug & Requests
 HRD Support:
Your sales department told me to send this information to you (I’d previously sent it to them)...

While evaluating 6.1, I found a rather annoying bug in the logbook. If I sort the logbook by call (for ease in finding someone), and then change the QSL state, it re-orders the list by date instead of by call, so I have to click on the call header TWICE (once gets me reverse, and the second one gets me back to forward ordering like I was in). This problem does not exist in 5.x.

*** Received the following again on same ticket number same issue

08/13/2014 12:57 pm Frank Domina
Just a reminder -- the re-ordering bug is still in the latest update (8/10/2014). It gets really annoying when you're going through searching for QSOs (and thus handy to be sorted by callsign) to update QSL status, and when you change it, the list gets re-ordered, no no longer by callsign.

K7ZCZ

2017-06-04 14:44

manager   ~0003197

I have a fix coded.

WA9PIE

2017-06-21 20:59

administrator   ~0003245

Status changed to enable update to "Fixed in Version"

WA9PIE

2017-06-21 22:24

administrator   ~0003254

We'll need to leave issues "Assigned" until verified... then change to "Resolved"

I'll document this in process.

w4ase

2017-06-24 08:04

viewer   ~0003293

I have experienced this in the last....minor.....but I can't make it do it any more seems fixed.

WA9PIE

2017-06-25 21:28

administrator   ~0003302

The LOTW Received date is now sorting up/down and down/up properly.

w4elp

2017-06-26 06:00

viewer   ~0003323

v653: Tried sorting up & down on all possible date columns. Appears to sort correctly.

WA9PIE

2017-07-04 23:30

administrator   ~0003486

Published in the 658 release.

WA9PIE

2017-07-05 00:00

administrator   ~0003521

Waiting to close them until a final item is tested.

WA9PIE

2017-07-05 19:39

administrator   ~0003558

These were all part of the 659 release.

Issue History

Date Modified Username Field Change
2013-12-23 21:44 WA9PIE New Issue
2013-12-23 21:44 WA9PIE Assigned To => Support
2013-12-24 09:33 WA9PIE Project 2 - Next Dev List (Holding Area) => @5@
2013-12-24 20:26 WA9PIE Release => (select)
2013-12-24 20:26 WA9PIE Module => (select)
2013-12-24 20:26 WA9PIE Sub-Module => (select)
2013-12-24 20:26 WA9PIE Report Build => (select)
2013-12-24 20:26 WA9PIE Assigned To Support =>
2013-12-24 20:26 WA9PIE Resolution @0@ => open
2013-12-24 22:26 WA9PIE Status feedback => new
2014-01-31 08:10 WA9PIE Release (select) => 6.1
2014-01-31 08:10 WA9PIE Module (select) => Logbook
2014-01-31 08:10 WA9PIE Sub-Module (select) => Appearance/UI
2014-01-31 08:10 WA9PIE Report Build (select) => 6.1.4.189
2014-01-31 08:10 WA9PIE Note Added: 0000240
2014-01-31 08:10 WA9PIE Status new => confirmed
2014-02-02 10:54 WA9PIE Summary Sorting Log book via Columns => Bug: Sorting Log book via Columns
2014-02-02 10:54 WA9PIE Description Updated View Revisions
2014-02-02 10:54 WA9PIE Steps to Reproduce Updated View Revisions
2014-02-02 16:40 WA9PIE View Status private => public
2014-02-02 22:10 WA9PIE Relationship added related to 0000569
2014-08-14 10:56 KB3NPH Note Added: 0000457
2015-09-17 13:17 WA9PIE Category Logbook => Bug
2015-09-17 13:19 WA9PIE Project @5@ => 1 - Backlog
2015-09-29 14:40 WA9PIE Fix Build => (select)
2015-09-29 14:40 WA9PIE Summary Bug: Sorting Log book via Columns => Sorting Log book via Columns
2017-06-02 23:12 K7ZCZ Assigned To => K7ZCZ
2017-06-02 23:12 K7ZCZ Status confirmed => assigned
2017-06-04 14:40 K7ZCZ Project 1 - Backlog => 3 - Current Dev List
2017-06-04 14:44 K7ZCZ Note Added: 0003197
2017-06-04 14:44 K7ZCZ Status assigned => resolved
2017-06-04 14:44 K7ZCZ Resolution open => fixed
2017-06-05 12:37 WA9PIE Target Version => 6.4.0.649
2017-06-21 20:59 WA9PIE Status resolved => assigned
2017-06-21 20:59 WA9PIE Note Added: 0003245
2017-06-21 21:13 K7ZCZ Fixed in Version => 6.4.0.652
2017-06-21 21:50 K7ZCZ Status assigned => resolved
2017-06-21 21:50 K7ZCZ Fixed in Version 6.4.0.652 =>
2017-06-21 22:03 K7ZCZ Fixed in Version => 6.4.0.652
2017-06-21 22:24 WA9PIE Status resolved => assigned
2017-06-21 22:24 WA9PIE Note Added: 0003254
2017-06-24 08:04 w4ase Note Added: 0003293
2017-06-25 21:28 WA9PIE Note Added: 0003302
2017-06-25 21:29 WA9PIE Status assigned => resolved
2017-06-25 22:46 WA9PIE Testing => Beta Passed
2017-06-26 06:00 w4elp Note Added: 0003323
2017-07-01 08:23 WA9PIE Target Version 6.4.0.649 => 6.4.0.652
2017-07-01 08:23 WA9PIE Fixed in Version 6.4.0.652 => 6.4.0.657
2017-07-04 23:17 WA9PIE Fixed in Version 6.4.0.657 => 6.4.0.658
2017-07-04 23:30 WA9PIE Note Added: 0003486
2017-07-04 23:30 WA9PIE Status resolved => closed
2017-07-04 23:30 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-07-04 23:58 WA9PIE Project Ham Radio Deluxe => 3 - Current Dev List
2017-07-05 00:00 WA9PIE Status closed => resolved
2017-07-05 00:00 WA9PIE Note Added: 0003521
2017-07-05 19:37 WA9PIE Fixed in Version 6.4.0.658 => 6.4.0.659
2017-07-05 19:39 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-07-05 19:39 WA9PIE Note Added: 0003558
2017-07-05 19:39 WA9PIE Status resolved => closed
2017-07-09 18:59 WA9PIE Testing => Beta Successful
2017-08-05 18:58 WA9PIE Target Version 6.4.0.652 =>